Bug 195448 - Forgotten dependency in sysstat-5.0.5-11.rhel3.rpm
Forgotten dependency in sysstat-5.0.5-11.rhel3.rpm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 05:30 EDT by Karsten Becker
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: vixie-cron-4.1-11.EL3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 16:02:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Becker 2006-06-15 05:30:10 EDT
We are running:

[root@obtree up2date]# tail /etc/redhat-release
Red Hat Enterprise Linux WS release 3 (Taroon Update 7)
[root@obtree up2date]#

When running the sysstat-tools with a cron job, you get the following error
messages in the cron logs:

Jun 11 05:01:01 obtree crond[11327]: PAM adding faulty module:
/lib/security/pam_krb5.so
Jun 11 05:01:01 obtree crond[11328]: (root) CMD (run-parts /etc/cron.hourly)
Jun 11 05:10:01 obtree crond[11493]: PAM unable to dlopen(/lib/security/pam_krb5.so)
Jun 11 05:10:01 obtree crond[11493]: PAM [dlerror: /lib/security/pam_krb5.so:
cannot open shared object file: No such file or
 directory]

You will get this block of error messages in the intervall you specified the
cron job to run.

The error is caused by the missing library /lib/security/pam_krb5.so. This lib
is provided by the package pam_krb5-1.77-1.i386.rpm.

If you take a look in the requiered dependencies of the sysstat-package, you
will not find an entry for the pam_krb5-package:

[root@obtree up2date]# rpm -q -R  -p sysstat-5.0.5-11.rhel3.i386.rpm
/bin/chmod
/bin/cp
/bin/grep
/bin/mkdir
/bin/mv
/bin/sh
/bin/sh
/bin/sh
/bin/sh
/etc/cron.d
/sbin/chkconfig
/usr/bin/id
/usr/bin/install
config(sysstat) = 5.0.5-11.rhel3
fileutils
grep
kernel >= 2.2.16-21
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
sh-utils
textutils
[root@obtree up2date]#
Comment 1 Ivana Varekova 2006-06-15 10:07:19 EDT
This seems to be cron problem.
Comment 2 Karsten Becker 2006-06-15 10:13:43 EDT
Oh, sorry, I copied the error messages out of a maintenance mail made with
logwatch. It filtered out the important line. Here's one original block directly
from the system affected:

Jun 11 04:20:01 obtree crond[1896]: PAM adding faulty module:
/lib/security/pam_krb5.so
Jun 11 04:20:01 obtree crond[1897]: (root) CMD (/usr/lib/sa/sa1 1 1)
Jun 11 04:22:01 obtree crond[1900]: PAM unable to dlopen(/lib/security/pam_krb5.so)
Jun 11 04:22:01 obtree crond[1900]: PAM [dlerror: /lib/security/pam_krb5.so:
cannot open shared object file: No such file or
directory]

As you can see in the 2nd line, it's a cron entry that calls sa1, which is part
of sysstat.
Comment 3 Jason Vas Dias 2006-07-25 16:02:58 EDT
This bug is fixed with the current vixie-cron-4.1-11.EL3 release of RHEL-3-U8.

Note You need to log in before you can comment on or make changes to this bug.